Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Do not post support requests, bug reports or feature requests. Discuss phpBB here. Non-phpBB related discussion goes in General Discussion!
Ideas Centre
Locked
User avatar
naderman
Consultant
Consultant
Posts: 3735
Joined: Fri Aug 01, 2003 10:06 pm
Location: Berlin, Germany
Name: Nils Adermann
Contact:

Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by naderman » Tue Jan 26, 2010 3:19 pm

You may discuss the announcement about dropping support for PHP versions below 5.2 in this topic.
I appreciate gifts from my Amazon wishlist.
naderman.de twitter: @naderman

Darth Wong
Registered User
Posts: 2398
Joined: Wed Jul 03, 2002 5:20 am
Location: Toronto, Canada
Contact:

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by Darth Wong » Tue Jan 26, 2010 3:48 pm

*runs to check*

Oh good, I'm running PHP 5.2.11. Whew!
Not a three-foot tall green gnome in real-life: My home page.
My wretched hive of scum and villainy: http://bbs.stardestroyer.net/

User avatar
tbackoff
Former Team Member
Posts: 7022
Joined: Thu Jun 04, 2009 1:41 am
Location: cheerleading practice
Name: Tabitha Backoff

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by tbackoff » Tue Jan 26, 2010 4:39 pm

Wasn't this previously announced? ;)

Anyway, no worries - I'm running 5.3.x.
Flying is the second best thrill to cheerleaders; being caught is the first.

User avatar
Mighty Gorgon
Registered User
Posts: 616
Joined: Thu May 23, 2002 2:56 pm
Location: Italy
Name: Luca Libralato
Contact:

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by Mighty Gorgon » Tue Jan 26, 2010 4:54 pm

I totally agree with this decision. :)

The problem is that some hostings are too lazy to update their packages, even when official supports ends.

User avatar
MasterZ
Registered User
Posts: 712
Joined: Wed Sep 24, 2003 5:33 am
Contact:

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by MasterZ » Tue Jan 26, 2010 5:03 pm

Mighty Gorgon wrote:I totally agree with this decision. :)

The problem is that some hostings are too lazy to update their packages, even when official supports ends.
I second that.

ttuu
Registered User
Posts: 224
Joined: Wed Feb 13, 2008 6:28 pm

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by ttuu » Tue Jan 26, 2010 5:18 pm

i am fine.
I'm running PHP 5.2.9

User avatar
DavidIQ
Customisations Team Leader
Customisations Team Leader
Posts: 17027
Joined: Thu Jan 06, 2005 1:30 pm
Location: Fishkill, NY
Name: David Colón
Contact:

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by DavidIQ » Tue Jan 26, 2010 5:26 pm

Mighty Gorgon wrote:The problem is that some hostings are too lazy to update their packages, even when official supports ends.
This is very true. I ran into such an issue with a client recently. However we got in contact with his hosting provider and they switched him over to another server with the updated PHP. So in a case where someone finds themselves in such a situation the best thing is to raise awareness to the hoster.
Apply to become a Jr. Extension Validator
My extensions | In need of phpBB services? | Was I helpful today?
No unsolicited PMs unless you're planning on asking for paid help.

User avatar
Erik Frèrejean
Former Team Member
Posts: 9899
Joined: Tue Oct 09, 2007 9:09 am
Location: The Netherlands, 3.0.x Support Forum
Name: Erik Frèrejean
Contact:

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by Erik Frèrejean » Tue Jan 26, 2010 5:30 pm

t_backoff wrote:Wasn't this previously announced? ;)
That was before the change in the development cycle. The old Ascraeus would have gotten a new framework which would have been 5.2. The new Ascraeus will be developed on 5.2, but won't be rewritten (as per the announcement)
Support Toolkit | Support Request Template | Knowledge Base | phpBB 3.0.x documentation
I don't give support via PM or IM! (all unsolicited pms will be trashed!)

Desdenova
Registered User
Posts: 646
Joined: Sat Feb 23, 2008 7:25 pm

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by Desdenova » Tue Jan 26, 2010 5:53 pm

Finally! PHP4 seems to really hold us back. With that out of the way in 3.1, maybe more advanced and powerful code will begin to take form. :)

User avatar
tbackoff
Former Team Member
Posts: 7022
Joined: Thu Jun 04, 2009 1:41 am
Location: cheerleading practice
Name: Tabitha Backoff

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by tbackoff » Tue Jan 26, 2010 6:10 pm

Erik Frèrejean wrote:
t_backoff wrote:Wasn't this previously announced? ;)
That was before the change in the development cycle. The old Ascraeus would have gotten a new framework which would have been 5.2. The new Ascraeus will be developed on 5.2, but won't be rewritten (as per the announcement)
Ah, OK. I understand now.
Flying is the second best thrill to cheerleaders; being caught is the first.

User avatar
Ahri89
Registered User
Posts: 516
Joined: Sat Apr 07, 2007 2:53 pm
Location: Spain
Contact:

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by Ahri89 » Tue Jan 26, 2010 6:42 pm

I'm running 5.2.11 :P
MODs translated to Spanish: ACP Add User MOD, ACP Announcement Centre, Advertisement Management, Custom Profile Fields, Update Reminder, Flood time setting per forum, MOD Version Check, Posting template, Prune Log, Simple Trash Bin, TinyPic Plugin, User Reminder, View Profile, View your topics, and more...

Sorry for my bad english xD

EightOhProlene
Registered User
Posts: 155
Joined: Sun Jan 18, 2004 4:44 pm

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by EightOhProlene » Tue Jan 26, 2010 7:31 pm

Can someone explain to me why people seem to think I need to know what version of PHP they are using? I do not care what version PHP is on your server. Discuss the announcement, as requested.

Transitioning to phpBB 3.1 is a great time to require a newer version of PHP to be installed. Why not?

User avatar
Sam
Former Team Member
Posts: 2082
Joined: Thu Jan 22, 2009 3:59 am
Location: Sacramento, CA
Name: Sam Thompson
Contact:

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by Sam » Tue Jan 26, 2010 8:24 pm

I am surprised no one noted that PHP4 officially reached EOL on 31 December 2007. It is a danger to your server to have that software running, knowing that any security problem will not be patched or even announced. If anyone is using PHP 4 (in the words of David Lewis) "They need to get away from the host."

Having PHP 5.2 is a great step in development for phpBB, and I am very happy to see it.

User avatar
Ishimaru Chiaki
Registered User
Posts: 179
Joined: Thu Nov 15, 2007 4:39 am
Location: Baie-Comeau, Québec, Canada
Name: Caroline
Contact:

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by Ishimaru Chiaki » Tue Jan 26, 2010 9:04 pm

I agree with the decision. Maybe this will convince lazy host to finally update to at least 5.2.x since phpBB is the most used opensource forum script.

On my side, it's already OK. My local server and my host both use 5.2.x, and as I upgrade my Ubuntu every year and my host's admins keep the server up-to-date, I'll probably be on 5.3.x when Ascraeus will come out.
Find my phpBB3 and GIMP tutorials on http://ishimaru.pingveno.net (New address)
My DeviantArt gallery

User avatar
Sajaki
Registered User
Posts: 1354
Joined: Mon Mar 02, 2009 1:41 pm
Name: Andreas
Contact:

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by Sajaki » Tue Jan 26, 2010 9:18 pm

i totally agree ;)

fyi it was slashdotted back in 2007 even.
http://developers.slashdot.org/article. ... 14/0646216

Locked

Return to “phpBB Discussion”